# Delete connection (/docs/rest-api/endpoints/connections/delete-connections-by-id)

> For the complete Prisma documentation index, see [llms.txt](https://www.prisma.io/docs/llms.txt). A markdown version of any docs page is available by appending `.md` to its URL.

Deletes the connection with the given ID.

Location: REST API > Endpoints > Connections > Delete connection

Deletes the connection with the given ID.

## API reference

### Delete connection

`DELETE /v1/connections/{id}`

Deletes the connection with the given ID.

#### Parameters

- `id` (path, string, required)

#### Responses

- `204`: Deleted the connection.
- `401`: Missing or invalid authorization token.
- `404`: Connection with the given ID was not found.

## Related pages

- [`Create connection`](https://www.prisma.io/docs/rest-api/endpoints/connections/post-connections): Creates a new connection for the specified database.
- [`Get connection`](https://www.prisma.io/docs/rest-api/endpoints/connections/get-connections-by-id): Returns the connection with the given ID.
- [`List connections`](https://www.prisma.io/docs/rest-api/endpoints/connections/get-connections): Returns all connections the actor has access to, with optional database filter.
- [`Rotate connection credentials`](https://www.prisma.io/docs/rest-api/endpoints/connections/post-connections-by-id-rotate): Generates new credentials for the connection with the given ID. Revocation of the previous credentials is best-effort.